Bug 508095 - NFS write/lock problems with 2.6.29.5-84.fc10
NFS write/lock problems with 2.6.29.5-84.fc10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 11:47 EDT by Orion Poplawski
Modified: 2009-12-18 04:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:35:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-06-25 11:47:37 EDT
Description of problem:

While editing a file on a CentOS 5.3 machine on a NFS share mounted from a F10 server running 2.6.29.5-84.fc10, I see when entering edit mode:

Error opening swap file

If I try to save:

E297: Write error in swap file
"f10-desk.cfg" E667: Fsync failed

strace of the vi process shows the following errors:

14681 getxattr("f10-desk.cfg", "system.posix_acl_access", 0xbf8da060, 132) = -1 ENODATA (No data available)
14681 write(4, "tp\4\0\377\0\0\0\2\0\0\0\241\0\0\0\1\0\0\0\1\0\0\0\377\377\377\377\330\0\0\0"..., 4096) = -1 EIO (Input/output error)
14681 fsync(4)                          = -1 EIO (Input/output error)
14681 fsync(3)                          = -1 EIO (Input/output error)
14681 setxattr("f10-desk.cfg", "system.posix_acl_access", "\x02\x00\x00\x00\x01\x00\x06\x00\xff\xff\xff\xff\x04\x00\x04\x00\xff\xff\xff\xff \x00\x04\x00\xff\xff\xff\xff", 28, 0) = -1 EOPNOTSUPP (Operation not supported)
14681 close(3)                          = -1 EIO (Input/output error)
14681 close(4)                          = -1 EIO (Input/output error)

Booting back to 2.6.29.4-75.fc10 resolves the issue.

Version-Release number of selected component (if applicable):
2.6.29.5-84.fc10

How reproducible:
Everytime
Comment 1 Chuck Ebbert 2009-06-30 23:38:11 EDT
fixed in kernel-2.6.29.5-88.fc10
Comment 2 Fedora Update System 2009-07-07 11:09:33 EDT
kernel-2.6.29.6-93.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-93.fc10,hal-0.5.12-15.20081027git.fc10
Comment 3 Paul Fee 2009-07-09 05:47:24 EDT
Encountered same problem on Fedora 11.

NFS Server: Fedora 11, Kernel 2.6.29.5-191.fc11.x86_64
NFS Client: RHEL 5.3, Kernel 2.6.18-128.el5

Use vi to edit a file on the NFS client, when trying to save get fsync() errors.  strace output shows:

open("Makefile", O_WRONLY|O_CREAT|O_TRUNC, 0755) = 3
write(3, "#/******************************"..., 2938) = 2938
fsync(3)                                = -1 EIO (Input/output error)

Can the patch be applied to F11 and pushed out as an update?
Comment 4 Mark Wielaard 2009-07-10 16:21:42 EDT
I am seeing the same thing with the NFS server running 2.6.29.5-191.fc11.x86_64. The client will get an EIO and /var/log/messages contains:
kernel: NFS: Server wrote zero bytes, expected 4096.
Comment 5 Orion Poplawski 2009-07-10 16:31:57 EDT
This appears to be fixed for F11 with 2.6.29.6-213.fc11
Comment 6 Mark Wielaard 2009-07-12 14:26:32 EDT
(In reply to comment #5)
> This appears to be fixed for F11 with 2.6.29.6-213.fc11  

Yes it seems to work fine with that kernel. Thanks.
Comment 7 Fedora Update System 2009-07-16 02:59:21 EDT
kernel-2.6.29.6-93.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7573
Comment 8 Fedora Update System 2009-08-15 10:00:46 EDT
kernel-2.6.29.6-97.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-97.fc10
Comment 9 Fedora Update System 2009-08-17 18:05:06 EDT
kernel-2.6.29.6-97.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8697
Comment 10 Fedora Update System 2009-08-19 23:58:21 EDT
kernel-2.6.29.6-99.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-99.fc10
Comment 11 Fedora Update System 2009-08-21 21:04:37 EDT
kernel-2.6.29.6-99.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8870
Comment 12 Bug Zapper 2009-11-18 02:48:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 04:35:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.